<?php
function headway_ve_form_start(){
	global $close_url;
	global $post;
	
	
	$close_needle = (strpos(headway_current_url(), '&visual-editor=true')) ? '&visual-editor=true' : '?visual-editor=true';
	$close_url = str_replace(strstr(headway_current_url(), $close_needle), '', headway_current_url());
	
	$exclude = array();

	//Query all pages to check for children
	$all_pages_query = new WP_Query();
	$all_pages = $all_pages_query->query(array('post_type' => 'page'));
	

	//Remove front page from pages list
	if(get_option('page_for_posts') && count(get_page_children(get_option('page_for_posts'), $all_pages)) == 0) $exclude[] = get_option('page_for_posts');
?>

<div id="headway-visual-editor">
		<div id="visual-editor-misc">
			<?php do_action('headway_visual_editor_misc'); ?>
			
			<input type="submit" value="<?php _e('Publish Changes'); ?>" class="visual-editor-button visual-editor-input" name="headway-ve-publish" id="headway-publish-button" />
		
			<span id="headway-save-load">Publishing...</span>
		
			<div id="publish-message">
				<h3>Publishing complete!</h3>
				<a href="#" id="publish-message-close">Close</a>
			
				<p id="publish-message-paragraph">Your changes have been published.  What you're seeing now is exactly how your site looks to your visitors.</p>
			
				<p>				
					<a href="#" id="continue-editing">Continue Editing</a>
					<a href="<?php echo $close_url; ?>" class="close-editor">Close Visual Editor</a>
				</p>
			</div>
		</div>
		
		<div id="visual-editor-boxes">
			<?php do_action('headway_visual_editor_boxes'); ?>
		</div>
		
		<div id="visual-editor-menu">
			<ul>
				<li class="bold">
					<a href="#" class="no-link">Headway</a>

					<ul>
						<li><a href="<?php echo $close_url; ?>" class="close-editor"><?php _e('Close Visual Editor', 'headway'); ?></a></li>
					</ul>
				</li>

				<li>
					<a href="#" class="no-link"><?php _e('Linking', 'headway'); ?></a>

					<ul>
						<li><a href="#" id="linking-options"><?php _e('Linking Options', 'headway'); ?></a></li>
						<li><a href="#" id="save-and-link" class="use-overlay"><?php _e('Save and Link', 'headway'); ?></a></li>
					</ul>
				</li>

				<li>
					<a href="#" class="no-link"><?php _e('Tools', 'headway'); ?></a>

					<ul>
						<li><a href="#" id="import-window"><?php _e('Import', 'headway'); ?></a></li>
						<li><a href="#" id="export-window"><?php _e('Export', 'headway'); ?></a></li>

						<?php
						if(!headway_get_option('disable-visual-editor') && !headway_get_option('enable-developer-mode') && !headway_is_skin_active()){ 
						?>
						<li><a href="#" id="mass-font-change"><?php _e('Mass Font Change', 'headway'); ?></a></li>
						<li><a href="#" id="wizard"><?php _e('Run Wizard', 'headway'); ?></a></li>
						<?php } ?>
						<li><a href="#" id="live-css"><?php _e('Live CSS Editor', 'headway'); ?></a></li>
					</ul>
				</li>

				<li>
					<a href="<?php echo site_url() ?>/wp-admin" class="" target="_blank"><?php _e('WordPress Admin', 'headway'); ?></a>

					<ul>
						<li>
							<a href="<?php echo site_url() ?>/wp-admin/admin.php?page=headway" class="" target="_blank"><?php _e('Headway Configuration', 'headway'); ?></a>
						</li>

						<li>
							<a href="<?php echo site_url() ?>/wp-admin/admin.php?page=headway-tools" class="" target="_blank"><?php _e('Headway Tools', 'headway'); ?></a>
						</li>

						<li>
							<a href="<?php echo site_url() ?>/wp-admin/admin.php?page=headway-easy-hooks" class="" target="_blank"><?php _e('Headway Easy Hooks', 'headway'); ?></a>
						</li>

						<?php if(is_super_admin() && is_multisite()){ ?>
						<li>
							<a href="<?php echo site_url() ?>/wp-admin/ms-sites.php" class="" target="_blank"><?php _e('Network Sites', 'headway'); ?></a>
						</li>
						<?php } ?>

						<li>
							<a href="<?php echo site_url() ?>/wp-admin/widgets.php" class="" target="_blank"><?php _e('Widgets', 'headway'); ?></a>
						</li>
						
						
						<li>
							<a href="<?php echo site_url() ?>/wp-admin/nav-menus.php" class="" target="_blank"><?php _e('Navigation Menus', 'headway'); ?></a>
						</li>

						<li id="edit-link">
							<a href="#" class="" target="_blank">Edit This Page</a>
						</li>
					</ul>
				</li>

			</ul>

			<div id="visual-editor-menu-center">
				<span class="dark" id="editing-title" style="display: none;"><?php _e('Editing:', 'headway'); ?></span>&nbsp; <span id="visual-editor-current-page">Loading...</span>

				<span id="link-status-border" class="dark link-status" style="display: none;"></span>&nbsp; <span id="visual-editor-current-page-link" class="link-status"></span>
			</div>
			
				<div id="visual-editor-menu-right">

					<div id="layout-chooser">
				<?php wp_dropdown_pages(array('exclude' => implode(',', $exclude), 'name' => 'layout-page', 'show_option_none' => '-'.__('Pages', 'headway').'-', 'sort_column'=> 'menu_order, post_title', 'echo' => true)); ?>

						<select id="layout-system-page" name="layout-system-page">
							<option value="">-<?php _e('System Pages', 'headway'); ?>-</option>
							<?php
							$tags = get_tags(array('number' => 1));

							$system_pages = array();

							$system_pages['index'] = __('Blog Index', 'headway');
							$system_pages['single'] = __('Single Post', 'headway');
							$system_pages['category'] = __('Category Archives', 'headway');
							$system_pages['archives'] = __('Archives', 'headway');

							if(count($tags) > 0)
								$system_pages['tag'] = __('Tag Archives', 'headway');

							$system_pages['author'] = __('Author Archives', 'headway');
							$system_pages['search'] = __('Search Results', 'headway');
							$system_pages['four04'] = __('404 Page', 'headway');

							$ignore = array('post', 'page', 'mediapage', 'attachment', 'revision', 'nav_menu_item');

							foreach(get_post_types(array('publicly_queryable' => true), 'objects') as $post_type){
								if(in_array($post_type->name, $ignore)) continue;

								$system_pages['custom-single-'.$post_type->name] = sprintf(__('Post Type &ndash; %s &ndash; Single', 'headway'), $post_type->labels->singular_name);
							}

							foreach($system_pages as $id => $name){
								echo '		<option value="'.$id.'">'.$name.'</option>'."\n";
							}
							?>
						</select><!-- #layout-system-page -->

						<input type="submit" class="button-wordpress button-right" name="switch-page" value="<?php _e('Switch To Page', 'headway'); ?>" id="switch-page" />
					</div>

				</div><!-- #visual-editor-menu-right -->
		</div>
		

		<div id="visual-editor-sidebar">
			<div id="visual-editor-sidebar-content">	

				<?php 
				if(!headway_get_option('disable-visual-editor') && !headway_get_option('enable-developer-mode') && !headway_is_skin_active()) 
					headway_create_visual_editor_widget('design-editor', __('Styles and Design', 'headway'), 'headway_visual_editor_content'); 

				headway_create_visual_editor_widget('leafs', __('Leafs and Columns', 'headway'), 'headway_leafs_panel_content');

				headway_create_visual_editor_widget('header-panel', __('Header', 'headway'), 'headway_header_panel_content');

				headway_create_visual_editor_widget('navigation', __('Navigation', 'headway'), 'headway_navigation_panel_content');

				headway_create_visual_editor_widget('footer-panel', __('Footer', 'headway'), 'headway_footer_panel_content');

				headway_create_visual_editor_widget('site-dimensions', __('Site Dimensions', 'headway'), 'headway_site_dimensions_content');
				?>
				<div class="collapsable break"></div>

			</div>


			<a id="visual-editor-sidebar-toggle"></a>
		</div>
		
		<?php 
		do_action('headway_visual_editor_top');
		
		$is_system_page = (headway_is_system_page(false, true)) ? 'true' : 'false';
		?>
		<div id="visual-editor-hidden-inputs">
			<input type="hidden" name="current-page" id="current-page" value="<?php echo headway_current_page() ?>" class="visual-editor-input" />
			<input type="hidden" name="is-system-page" id="is-system-page" value="<?php echo $is_system_page ?>" class="visual-editor-input" />
			<input type="hidden" name="current-real-page" id="current-real-page" value="<?php echo headway_current_page(true) ?>" class="visual-editor-input" />
			<input type="hidden" name="header-order" id="header-order" value="unserialized" class="visual-editor-input" />
			<input type="hidden" name="headway-nonce" id="nonce" value="<?php echo wp_create_nonce('visual-editor-nonce'); ?>" class="visual-editor-input-nonce" />
		</div>
		
		<div id="visual-editor-leaf-inputs">
		</div>
<?php
}

function headway_ve_form_end(){
do_action('headway_visual_editor_before_end');
?>
</div>
<?php
do_action('headway_visual_editor_end');
}