jQuery(document).ready(function(){	
	jQuery.ajax({
		type: 'POST',
		data: {'page-id': jQuery('input#current-real-page').val()},
		url: headway_blog_url+'/?headway-trigger=process&process=visual-editor-run-up&callback=?',
		async: false,
		dataType: 'json',
		success: function(data){
			headway_settings = data['headway-settings'];
			sizing = data['sizing'];
			
			jQuery('iframe#visual-editor-contents').css('height', jQuery(window).height()-30);

			headway_settings['template-directory'] = headway_template_directory;

			headway_set_up();
		}
	});
});


fix_iframe = function() {

	jQuery('iframe#visual-editor-contents').each(function(){
		if(jQuery(this).contents().height() == false) return;

		if ( typeof previousHeight !== 'undefined' && previousHeight === jQuery(this).contents().height() - 30 ) {
			return false;
		}

		var height = jQuery(this).contents().height();

		previousHeight = jQuery(this).contents().height();

		jQuery(this).css('height', height + 'px');
	});

	return true;

}


function headway_set_up(){	
	//Variables
	allow_close = true;
	
	first_run = true;
		
	jQuery('iframe#visual-editor-contents').bind('load', function(){		
		
		if(first_run){
			if(typeof headway_design_editor == 'function'){ headway_design_editor(); }
			if(typeof headway_visual_editor_options == 'function'){ headway_visual_editor_options(); }
			if(typeof headway_visual_editor_leafs == 'function' && headway_settings['link'] === false){ headway_visual_editor_leafs(); }
			
			jQuery('div#visual-editor-loader, div#overlay').animate({'opacity':0}, 800, false, function(){ 
				jQuery('div#visual-editor-loader, div#overlay').remove();
				jQuery('div#headway-visual-editor').css('position', 'relative');
			});
		} else {
			if(typeof headway_design_editor == 'function'){
				stylesheet = new ITStylesheet(jQuery('iframe#visual-editor-contents').contents()[0], {href: headway_settings['headway-css-url']}, 'find');
			}			
		}
		
		if(typeof fix_iframe_interval == 'number'){
			window.clearInterval(fix_iframe_interval);
		}
		
		fix_iframe_interval = window.setInterval(fix_iframe, 250);
		
		hwiframe('a').bind('click', function(){ return false; });
		hwiframe('input[type=\'submit\'], button').bind('click', function(){ return false; });
		
		headway_equal_column_heights();
		headway_disable_bad_keys();
				
		if(headway_settings['link'] === false){
			headway_ready_leafs(hwiframe('.headway-leaf'));
		}
				
		//Restart leaf controls after publish
		if(jQuery('a#toggle-column-arrange-resize').text() == 'Disable'){
			enable_column_arrange_resize();
		}
		
		if(jQuery('a#toggle-arrange').text() == 'Disable'){
			enable_leaf_arrange();
		}
		
		if(jQuery('a#toggle-resize').text() == 'Disable'){
			enable_leaf_resize();
		}
		
		if(jQuery('a#toggle-header-arrange').text() == 'Disable'){
			enable_header_arrange();
		}
		//End
		
		//Clear out certain inputs
		jQuery('input#column-order').val('');
		//
		
		//Reset wizard
		jQuery('input#input-ran-wizard').remove();
		//		
								
		//Set up columns stuff
		if(typeof headway_visual_editor_leafs == 'function' && headway_settings['link'] == false){
												
			if(headway_settings['page-config']['leaf-columns'] > 1){
				jQuery('div.leaf-column-settings').show();
				jQuery('li.column-arrange-resize').show();
								
				jQuery('select#leaf-columns').val(headway_settings['page-config']['leaf-columns']);
				
				jQuery('table#column-widths').html('');
				
				var column_width_inputs = '';
				
				if(headway_settings['page-config']['leaf-columns'] >= 1){
					headway_settings['page-config']['column-1-width'] = hwiframe('div.leafs-column-1').width();
					
					column_width_inputs = column_width_inputs + '<tr id="column-1-width-row">\
									<th scope="row"><label for="column-1-width">Column 1</label></th>\
									<td><input type="text" class="visual-editor-input column-width-input" style="width:35px;" name="page-config[column-1-width]" id="column-1-width" value="' + headway_settings['page-config']['column-1-width'] + '"><small>px</small></td>\
								</tr>';
				}
				
				if(headway_settings['page-config']['leaf-columns'] >= 2){
					headway_settings['page-config']['column-2-width'] = hwiframe('div.leafs-column-2').width();
					
					column_width_inputs = column_width_inputs + '<tr id="column-2-width-row">\
									<th scope="row"><label for="column-2-width">Column 2</label></th>\
									<td><input type="text" class="visual-editor-input column-width-input" style="width:35px;" name="page-config[column-2-width]" id="column-2-width" value="' + headway_settings['page-config']['column-2-width'] + '"><small>px</small></td>\
								</tr>';
				}
				
				if(headway_settings['page-config']['leaf-columns'] >= 3){
					headway_settings['page-config']['column-3-width'] = hwiframe('div.leafs-column-3').width();
					
					column_width_inputs = column_width_inputs + '<tr id="column-3-width-row">\
									<th scope="row"><label for="column-3-width">Column 3</label></th>\
									<td><input type="text" class="visual-editor-input column-width-input" style="width:35px;" name="page-config[column-3-width]" id="column-3-width" value="' + headway_settings['page-config']['column-3-width'] + '"><small>px</small></td>\
								</tr>';
				}
				
				if(headway_settings['page-config']['leaf-columns'] == 4){
					headway_settings['page-config']['column-4-width'] = hwiframe('div.leafs-column-4').width();
					
					column_width_inputs = column_width_inputs + '<tr id="column-4-width-row">\
									<th scope="row"><label for="column-4-width">Column 4</label></th>\
									<td><input type="text" class="visual-editor-input column-width-input" style="width:35px;" name="page-config[column-4-width]" id="column-4-width" value="' + headway_settings['page-config']['column-4-width'] + '"><small>px</small></td>\
								</tr>';
				}
				
				jQuery('table#column-widths').html(column_width_inputs);
				
				if(headway_settings['page-config']['show-top-leafs-container']){
					jQuery('input#show-top-leafs-container').attr('checked', true);
				} else {
					jQuery('input#show-top-leafs-container').attr('checked', false);
				}
				
				if(headway_settings['page-config']['show-bottom-leafs-container']){
					jQuery('input#show-bottom-leafs-container').attr('checked', true);
				} else {
					jQuery('input#show-bottom-leafs-container').attr('checked', false);
				}
				
				if(hwiframe('div.leafs-column-4').length == 1){
					headway_bind_column_width_inputs(4);
				} else if(hwiframe('div.leafs-column-3').length == 1){
					headway_bind_column_width_inputs(3);
				} else if(hwiframe('div.leafs-column-2').length == 1){
					headway_bind_column_width_inputs(2);
				}

			} else {
				jQuery('div.leaf-column-settings').hide();
				jQuery('li.column-arrange-resize').hide();
				
				jQuery('select#leaf-columns').val(1);
			}
			
			var column_widths_count = 1;

			jQuery('table#column-widths tr').each(function(){
				jQuery(this).attr('id', 'column-' + column_widths_count + '-width-row');
				jQuery(this).find('input').attr('name', 'page-config[column-' + column_widths_count + '-width]');
				jQuery(this).find('input').attr('id', 'column-' + column_widths_count + '-width');

				column_widths_count++;
			});
		}
		//
		
		if(jQuery('div#visual-editor-working').is(':visible')){
			jQuery('div#visual-editor-working, div#ve-working-overlay').animate({'opacity':0}, 250, false, function(){ 
				jQuery('div#visual-editor-working, div#ve-working-overlay').hide();
			});
		}
		
		if(jQuery('span#headway-save-load').is(':visible')){
			jQuery('input#headway-publish-button').animate({'opacity':1}, 750, false); 
			jQuery('span#headway-save-load').animate({'opacity':0}, 750, false, function(){ 
				jQuery(this).hide(); 
			});

			jQuery('div#publish-message').stop().show().animate({'opacity':1}, 750, false);

			jQuery('div#publish-message').animate({'opacity':.99}, 10000).animate({'opacity':0}, 2500, false, function(){ 
				jQuery(this).hide(); 
			});
		}	
				
		
		jQuery(this).contents().mousedown(function(e){	
			mouseEventDown = e;
			mouseEventElement = jQuery(mouseEventDown.originalEvent.target);
		});
		
		
		jQuery(this).contents().mousemove(function(e){			
			if(typeof mouseEventDown !== 'undefined'){											
				if(mouseEventElement.hasClass('ui-resizable-handle')){
					mouseEventElement.parents('.ui-resizable').data('resizable')._mouseMove(e);
				} else {
					if(mouseEventElement.parents('.ui-sortable').data('sortable')){
						mouseEventElement.parents('.ui-sortable').data('sortable')._mouseMove(e);
					}
				}
			}
		});
		
		
		jQuery(this).contents().mouseup(function(e){			
			if(typeof mouseEventDown !== 'undefined'){
				
				if(mouseEventElement.hasClass('ui-resizable-handle')){
					mouseEventElement.parents('.ui-resizable').data('resizable')._mouseUp(e);
				} else {
					if(mouseEventElement.parents('.ui-sortable').data('sortable')){
						mouseEventElement.parents('.ui-sortable').data('sortable')._mouseUp(e);
					}
				}

				delete mouseEventDown;
			}
		});
		
		first_run = false;	
		
		
		//Handle Wizard Stuff
		if(jQuery('div#wizard-box').is(':visible') && typeof ranWizard !== 'undefined' && ranWizard === true){
			jQuery('div#wizard-box').hide();
			jQuery('div#wizard-overlay').remove();

			jQuery('div#visual-editor-working, div#ve-working-overlay').animate({'opacity':0}, 250, false, function(){ 
				jQuery('div#visual-editor-working, div#ve-working-overlay').hide();
			});
		}
		
		
		//Set up design stuff
		if(headway_settings['use-inspector'] && typeof headway_design_editor == 'function'){
			jQuery('select#element-selector option:not(#element-selector-blank)').each(function(){
				if(jQuery(this).attr('no_click') == 'false'){
					headway_register_element_click(jQuery(this));
				}
			});
		}
		
		//Change title
		var title = 'Visual Editor: ' + headway_settings['page-title'];
		
		jQuery('title').text(title);
		
		//Change menu bar
		jQuery('span#visual-editor-current-page').text(headway_settings['page-title']);
		jQuery('span#editing-title').show();
		
		if(headway_settings['link']){
			jQuery('span.link-status').show();
			jQuery('span#visual-editor-current-page-link').text(headway_settings['linked-page-title']);
		}
		
		if(isNaN(parseInt(jQuery('input#current-real-page').val()))){
			jQuery('li#edit-link').hide();
		} else {
			jQuery('li#edit-link').show();
			jQuery('li#edit-link a').attr('href', headway_settings['edit-link'].replace('&amp;', '&'));
		}		
		
		//Handle linking		
		if(headway_settings['link']){
			jQuery('a#leafs-actions-tab').trigger('click');
			
			jQuery('.linking-only').show();
			jQuery('.hide-from-linking').hide();
			
			if(isNaN(headway_settings['linked-page'])){
				jQuery('#leafs-link-system-page').val(headway_settings['linked-page']);
			} else {
				jQuery('#leafs-link-page').val(headway_settings['linked-page']);
			}
		} else {
			jQuery('.linking-only').hide();
			jQuery('.hide-from-linking').show();
			
			jQuery('#leafs-link-system-page').val('');
			jQuery('#leafs-link-page').val('');
		}
		
		
		
		
		//If sidebar is hidden, fix stuff
		if(jQuery('div#visual-editor-sidebar').hasClass('collapsed')){
			hwiframe('body').css({marginLeft: 0}, 750);
			jQuery('div#visual-editor-sidebar').css({left: -323}, 750);
		}
		
	});
	
		
	jQuery('.visual-editor-input').change(function(){
		headway_stop_ve_close();
	});
	
	jQuery('input#headway-publish-button').click(function(){			
		headway_save_editor();
	});
	
	jQuery('input#save-and-link-button').click(function(){
		jQuery('div#visual-editor-hidden-inputs').append('<input type="hidden" name="save-and-link" id="save-and-link-hidden" class="visual-editor-input" value="true" />');
		form_data = jQuery('.visual-editor-input, .headway-visual-editor-input').serialize();
		jQuery('input#save-and-link-hidden').remove();
		
		jQuery('div#overlay').css('zIndex', 12001).animate({'opacity':0}, 250, false, function(){ jQuery(this).hide(); });
		jQuery('div#save-and-link-box').animate({'opacity':0}, 250, false, function(){ jQuery(this).hide(); });
		
		headway_save_editor();
	});
	
	jQuery('div#publish-message a#publish-message-close, div#publish-message a#continue-editing').click(function(){
		jQuery('div#publish-message').stop(true, true).animate({'opacity':0}, 750, false, function(){ 
			jQuery(this).hide(); 
		});
		
		return false;
	});
		
	jQuery('div.floaty-box:not(.no-drag)').draggable({ 
		opacity: 0.35, 
		handle:'h4.floaty-box-header',
		start: function(event, ui){			
			largestZ = 0;
			
			jQuery('div.floaty-box:not(.no-drag)').each(function(){
				currentZ = parseFloat(jQuery(this).css('zIndex'));

				//Exclude z-index of help box with less than 11000
				if(currentZ < 11000 && currentZ > largestZ){
					largestZ = currentZ;
					zIndex = largestZ + 1;
				}
			});

			jQuery(this).css('zIndex', zIndex);
		}
	});

	jQuery('h4.collapsable-header a').click(function(){
		var collapsable = jQuery(this).parents('.collapsable');

		if(collapsable.hasClass('collapsed')){
			collapsable.children('div.collapsable-content').show();
			collapsable.css({paddingBottom: '5px'});
			collapsable.removeClass('collapsed');
		} else {
			collapsable.children('div.collapsable-content').hide();
			collapsable.css({paddingBottom: 0});
			collapsable.addClass('collapsed');
		}
		
		return false;
	});

	jQuery('div#visual-editor-menu a').click(function(){
		if(jQuery(this).hasClass('no-link')){
			return false;
		}
		
		if(jQuery(this).attr('href') == '#'){
			if(jQuery(this).hasClass('use-overlay')){
				if(jQuery('div#overlay').length == 0){
					jQuery('div#visual-editor-misc').append('<div id="overlay"></div>');
					jQuery('div#overlay').animate({opacity: 1}, 50);
				}

				headway_open_box(jQuery(this).attr('id'), 15003);
			} else {
				headway_open_box(jQuery(this).attr('id'));
			}
			
			return false;
		}
	});

	jQuery('a#visual-editor-sidebar-toggle').click(function(){
		if(jQuery('div#visual-editor-sidebar').hasClass('collapsed')){
			hwiframe('body').animate({marginLeft: 323}, 750);
			jQuery('div#visual-editor-sidebar').animate({left: 0}, 750);
			jQuery('div#visual-editor-sidebar').removeClass('collapsed');
		} else {
			hwiframe('body').animate({marginLeft: 0}, 750);
			jQuery('div#visual-editor-sidebar').animate({left: -323}, 750);
			jQuery('div#visual-editor-sidebar').addClass('collapsed');
		}
		
		return false;
	});

	jQuery('div.tabs').tabs();
	jQuery('div.floaty-box:not(.floaty-box-close, #floaty-box-loader) h4.floaty-box-header').append('<a class="minimize window-top-right" href="#">&ndash;</a>');
	jQuery('div.floaty-box-close h4.floaty-box-header').append('<a class="close window-top-right" href="#">X</a>');
	jQuery('div.floaty-box-close h4.floaty-box-header a.close').click(function(){
		var box = jQuery(this).parents('.floaty-box');
		
		box.hide();
		
		if(box.attr('id') == 'wizard-box'){
			jQuery('div#wizard-box, div#wizard-overlay').animate({opacity: 0}, 200, function(){
				jQuery('div#wizard-box, div#wizard-overlay').hide();					
				jQuery('div#wizard-box, div#wizard-overlay').css('opacity', 1);
			});
		
			jQuery.ajax({url: headway_blog_url+'/?headway-trigger=process&process=skip-wizard'});
		} else {
			jQuery('div.overlay, div#overlay').animate({opacity: 0}, 50, false, function(){ jQuery('div.overlay, div#overlay').hide(); });
		}
		
		return false;
	});
	
	jQuery('div.floaty-box h4.floaty-box-header a.minimize').click(function(){
		var box = jQuery(this).parents('.floaty-box');
		var header = jQuery(this).parent();
		
		if(box.hasClass('small-floaty-box')){
			box.removeClass('small-floaty-box');
			header.removeClass('hidden');
			jQuery(this).html('&ndash;');
		} else {
			box.addClass('small-floaty-box');

			header.siblings().addClass('hidden');
			jQuery(this).html('+');
		}
				
		return false;
	});

	//Disable current page from page selector
	jQuery('select#layout-system-page option[value=' + jQuery('input#current-real-page').val() + ']').attr('disabled', true);
	jQuery('select#layout-page option[value=' + jQuery('input#current-real-page').val() + ']').attr('disabled', true);
	
	jQuery('div#layout-chooser select').change(function(){
		jQuery(this).siblings('select').val('');
	});
	
	jQuery('div#layout-chooser input#switch-page').click(function(){
		if(!jQuery('select#layout-page').val() && !jQuery('select#layout-system-page').val()){
			return false;
		}
		
		//Change title
		jQuery('title').text('Visual Editor: Loading...');
		
		//Change menu
		jQuery('span#editing-title').hide();
		jQuery('span.link-status').hide();
		jQuery('span#visual-editor-current-page').text('Loading...');
		
		var self = jQuery(this);
		var data = {'layout-system-page': jQuery('select#layout-system-page').val(), 'layout-page': jQuery('select#layout-page').val()};
		
		if(allow_close || confirm('Are you sure?  You have unsaved changes on this page.  Please save before switching pages.')){
			jQuery('div#visual-editor-working').show().animate({'opacity':1}, 250);
			jQuery('div#ve-working-overlay').show().animate({'opacity':1}, 250, false, function(){
				
				jQuery.ajax({
					type: 'POST',
					data: data,
					url: headway_blog_url+'/?headway-trigger=process&process=layout-chooser-action&callback=?',
					dataType: 'json',
					success: function(response){			
						close_url = response.url.replace('&ve-iframe=true', '').replace('?ve-iframe=true', '');
						jQuery('a.close-editor').attr('href', close_url);
						
						jQuery('iframe#visual-editor-contents').attr('src', response.url);

						if(response.linked){
							jQuery('input#current-page').val(response.linked_page);
						} else {
							jQuery('input#current-page').val(response.id);
						}
						
						jQuery('input#current-real-page').val(response.id);
						jQuery('input#is-system-page').val(response.system_page);
						
						//Get JS variables
						jQuery.ajax({
							type: 'POST',
							data: {'page-id': jQuery('input#current-real-page').val()},
							url: headway_blog_url+'/?headway-trigger=process&process=visual-editor-run-up&callback=?',
							async: false,
							dataType: 'json',
							success: function(data){
								headway_settings = data['headway-settings'];
								sizing = data['sizing'];
							}
						});

						//Reset all page-specific stuff
						jQuery('div#visual-editor-leaf-inputs').html('');

						if(jQuery('a#toggle-column-arrange-resize').text() == 'Disable'){
							disable_column_arrange_resize();
						}

						if(jQuery('a#toggle-arrange').text() == 'Disable'){
							disable_leaf_arrange();
						}

						if(jQuery('a#toggle-resize').text() == 'Disable'){
							disable_leaf_resize();
						}
						
						if(jQuery('a#toggle-header-arrange').text() == 'Disable'){
							disable_header_arrange();
						}
						//End

						self.siblings('select').val('');

						jQuery('#layout-system-page option').attr('disabled', null);
						jQuery('#layout-page option').attr('disabled', null);

						if(data['layout-system-page'] != ''){
							jQuery('#layout-system-page option[value=' + data['layout-system-page'] + ']').attr('disabled', true);
						}	

						if(data['layout-page'] != ''){									
							jQuery('#layout-page option[value=' + data['layout-page'] + ']').attr('disabled', true);
						}
					}
				});
		
			});		
		}

	});
	
	jQuery('div#visual-editor-sidebar div.sub-box:not(.minimize) span.sub-box-heading').append('<a class="minimize window-top-right" href="#">&ndash;</a>');
	jQuery('div#visual-editor-sidebar div.minimize span.sub-box-heading').append('<a class="minimize window-top-right" href="#">+</a>');
	
	jQuery('span.sub-box-heading a.minimize').click(function(){
		var sub = jQuery(this).parents('.sub-box');
		
		if(sub.hasClass('minimize')){
			sub.removeClass('minimize');
			jQuery(this).html('&ndash;');
		} else {
			sub.addClass('minimize');
			jQuery(this).html('+');
		}
		
		return false;
	});
	
	
	jQuery('textarea#live-css').keyup(function(){
		hwiframe('#live-css-holder').html(jQuery(this).val());
	});
	

	if(typeof jQuery.cookie('visual-editor-live-css-width') != 'undefined' && typeof jQuery.cookie('visual-editor-live-css-top') != 'undefined'){
		jQuery('div#live-css-box').width(jQuery.cookie('visual-editor-live-css-width')+'px');
		jQuery('div#live-css-box').height(jQuery.cookie('visual-editor-live-css-height')+'px');
		
		jQuery('div#live-css-box').css('top', jQuery.cookie('visual-editor-live-css-top')+'px');
		jQuery('div#live-css-box').css('left', jQuery.cookie('visual-editor-live-css-left')+'px');
		
		jQuery('div#live-css-box textarea').width(jQuery.cookie('visual-editor-live-css-width')-20+'px');
		jQuery('div#live-css-box textarea').height(jQuery.cookie('visual-editor-live-css-height')-144+'px');
	}

	jQuery('div#live-css-box').resizable({
		minWidth: 350, 
		minHeight: 200, 
		alsoResize: 'textarea#live-css',
		stop: function(event, ui) {
			jQuery.cookie('visual-editor-live-css-width', ui.size.width);
			jQuery.cookie('visual-editor-live-css-height', ui.size.height);
		}
	});
	
	jQuery('div#live-css-box').draggable( "option" , 'stop', function(event, ui){ 
		jQuery.cookie('visual-editor-live-css-top', ui.position.top);
		jQuery.cookie('visual-editor-live-css-left', ui.position.left); 
	});
	
		
	jQuery('input#s').attr('name', '');
		
	jQuery('.ve-tooltip').tooltip({track: true, delay: 0, showURL: false, fade: 250, positionLeft: false, id: 've-tooltip-bubble'});
	
	jQuery('#visual-editor-sidebar-content').css('overflow-y', 'auto').scrollbarPaper();
	
	jQuery('a.floaty-box-expandable-toggle').toggle(function(){
		var target = jQuery(this).attr('href');
		
		jQuery(this).text('[-]');
		jQuery('div'+target).show();
	}, function(){
		var target = jQuery(this).attr('href');
		
		jQuery(this).text('[+]');
		jQuery('div'+target).hide();
	});
	
}